# This file created by conda-build 3.16.3
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/numba-0.43.1-python_3.7-on-linux_64, last modified Tue Mar 26 20:47:20 2019
# ------------------------------------------------

package:
    name: numba
    version: 0.43.1
source:
    git_rev: 0.43.1
    git_url: https://github.com/numba/numba
build:
    entry_points:
        - numba = numba.numba_entry:main
        - pycc = numba.pycc:main
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py37h962f231_0
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_6
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_6
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_6
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
    host:
        - blas 1.0 mkl
        - ca-certificates 2019.1.23 0
        - certifi 2019.3.9 py37_0
        - intel-openmp 2019.3 199
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - llvmlite 0.28.0 py37hd408876_0
        - mkl 2019.3 199
        - ncurses 6.1 he6710b0_1
        - numpy 1.11.3 py37h7e9f1db_12
        - numpy-base 1.11.3 py37hde5b4d6_12
        - openssl 1.1.1b h7b6447c_1
        - python 3.7.2 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 40.8.0 py37_0
        - sqlite 3.27.2 h7b6447c_0
        - tbb 2019.4 hfd86e86_0
        - tbb-devel 2019.4 hfd86e86_0
        - tk 8.6.8 hbc83047_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - llvmlite >=0.28.0,<0.29.0a0
        - numpy >=1.11.3,<2.0a0
        - python >=3.7,<3.8.0a0
        - tbb >=2019.4
    run_constrained:
        - tbb >=2018.0.5
test:
    files:
        - mandel.py
    imports:
        - numba
        - numba.annotations
        - numba.cuda
        - numba.cuda.cudadrv
        - numba.cuda.kernels
        - numba.cuda.simulator
        - numba.cuda.simulator.cudadrv
        - numba.cuda.tests
        - numba.cuda.tests.cudadrv
        - numba.cuda.tests.cudadrv.data
        - numba.cuda.tests.cudapy
        - numba.cuda.tests.cudasim
        - numba.cuda.tests.nocuda
        - numba.datamodel
        - numba.jitclass
        - numba.npyufunc
        - numba.pycc
        - numba.rewrites
        - numba.runtime
        - numba.scripts
        - numba.servicelib
        - numba.targets
        - numba.testing
        - numba.tests
        - numba.tests.npyufunc
        - numba.typeconv
        - numba.types
        - numba.typing
        - numba.unsafe
    requires:
        - cffi
        - gcc_linux-64 7.3.0.*
        - gxx_linux-64 7.3.0.*
        - ipython
        - jinja2
        - scipy
        - setuptools
        - tbb >=2018.0.5
about:
    description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

        sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

        infrastructure to compile Python syntax to machine code."

        '
    dev_url: https://github.com/numba/numba
    doc_url: http://numba.pydata.org/
    home: http://numba.github.com
    license: BSD 2-clause
    license_family: BSD
    license_file: LICENSE
    summary: NumPy aware dynamic Python compiler using LLVM
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - souravsingh
